Import Timelines

Base URL
https://{kibana_url}
  • POST /api/timeline/_import
  • POST /s/{space_id}/api/timeline/_import
Auth

Import Timelines.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

The Timelines to import as a readable stream.

file object required
isImmutable enum

Whether the Timeline should be immutable

Values: true false

Responses

Indicates a successful call.

application/json
success boolean

Indicates whether any of the Timelines were successfully imports

success_count number

The amount of successfully imported/updated Timelines

timelines_installed number

The amount of successfully installed Timelines

timelines_updated number

The amount of successfully updated Timelines

Base URL
https://{kibana_url}